LIBSCAN(1e)

NAME
libscan - Diagnostic searches for protein families.

SYNOPSIS

libscan -mode list -grib boolean -henik boolean -hmm boolean -sam boolean -pssm boolean -sig boolean -hmmpath string -hmmextn string -hmmoutpath string -hmmoutextn string -sampath string -samextn string -samoutpath string -samoutextn string -pssmpath string -pssmextn string -niter integer -thresh float -maxhit integer -pssmoutpath string -pssmoutextn string -gbvpath string -gbvextn string -gbvgapo float -gbvgape float -gbvoutpath string -gbvoutextn string -hnfpath string -hnfextn string -hnfgapo float -hnfgape float -hnfoutpath string -hnfoutextn string -sigpath string -sigextn string -nterm list -sub matrixf -siggapo float -siggape float -sigoutpath string -sigoutextn string -db seqset -scopf infile

libscan -help

DESCRIPTION

libscan is a command line program from EMBOSS (“the European Molecular Biology Open Software Suite”). It is part of the "Protein:3D Structure" command group(s).

OPTIONS

-mode list
    libscan runs in one of two modes either (i) database search mode or (ii) library screen mode. In database search mode libscan reads one or more directories each containing a single type of discriminating element, the permitted types are sparse sequence signature, Gribskov profile, Henikoff profile or hidden Markov model. In library screen mode, libscan reads a sequence set, screens each sequence against the library (directories of discriminating elements) and writes a library scan file (of top-scoring families) for each one. Default value: 2

-grib boolean
    Default value: N

-henik boolean
    Default value: N

-hmm boolean
    Default value: N

-sam boolean
    Default value: N

-pssm boolean
    Default value: Y

-sig boolean
    Default value: N

-hmmpath string
    Default value: ./lib/

-hmmextn string
    Default value: .hmm

-hmmoutpath string
    Default value: ./

-hmmoutextn string
    Default value: .hmmout

-sampath string
    Default value: ./

-samextn string
    Default value: .mod

-samoutpath string
    Default value: ./

-samoutextn string
    Default value: .samout

-pssmpath string
    Default value: /data/structure/lib/pssm/

-pssmextn string
    Default value: .chk

-niter integer
    Default value: 1

-thresh float
    Default value: 100

-maxhit integer
    Default value: 1000

-pssmoutpath string
    Default value: ./

-pssmoutextn string
    Default value: .pssmout

-gbvpath string
    Default value: ./

-gbvextn string
    Default value: .grib

-gbvgapo float
    Default value: 10.0

-gbvgape float
    Default value: 0.5

-gbvoutpath string
    Default value: ./

-gbvoutextn string
    Default value: .gribout

-hnfpath string
    Default value: ./

-hnfextn string
    Default value: .henik

-hnfgapo float
    Default value: 10.0

-hnfgape float
    Default value: 0.5

-hnfoutpath string
    Default value: ./

-hnfoutextn string
    Default value: .henikout

-sigpath string
    Default value: ./

-sigextn string
    Default value: .sig

-nterm list
    Default value: 1

-sub matrixf
    Default value: EBLOSUM62

-siggapo float
    Default value: 10.0

-siggape float
    Default value: 0.5

-sigoutpath string
    Default value: ./

-sigoutextn string
    Default value: .sigout

-db seqset
    In database search mode libscan scans each discriminating element against a sequence set. In library screen mode, libscan reads a sequence set and screens each sequence against the library (directories of disciminating elements) Default value: 49142.vdhf

-scopf infile
    In either mode, a 'scop classification file' is required as a source of family classification data. A scop classification file contains classification and other data for domains from the scop database. The file is in embl-like format and is generated by scopparse. Domain sequence information can be added to the file by using scopseqs. Default value: /data/structure/dcf/scop_raw.dcf

BUGS

Bugs can be reported to the Debian Bug Tracking system (http://bugs.debian.org/emboss), or directly to the EMBOSS developers (http://sourceforge.net/tracker/?group_id=93650&atid=605031).

SEE ALSO

libscan is fully documented via the tfm(1) system.

AUTHOR

Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
    Wrote the script used to autogenerate this manual page.

COPYRIGHT

This manual page was autogenerated from an Ajax Control Definition of the EMBOSS package. It can be redistributed under the same terms as EMBOSS itself.